Package ch.qos.logback.classic.pattern

## Class ClassNameOnlyAbbreviator

- java.lang.Object
- - ch.qos.logback.classic.pattern.ClassNameOnlyAbbreviator

All Implemented Interfaces:
  `Abbreviator`

    public class ClassNameOnlyAbbreviator
    extends java.lang.Object
    implements Abbreviator

This abbreviator returns the class name from a fully qualified class name, removing the leading package name.

Author:
  Ceki Gülcü

### Constructor Summary

Constructors
`ClassNameOnlyAbbreviator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `abbreviate​(java.lang.String fqClassName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassNameOnlyAbbreviator

    public ClassNameOnlyAbbreviator()

### Method Detail

#### abbreviate

    public java.lang.String abbreviate​(java.lang.String fqClassName)

Specified by:
  `abbreviate` in interface `Abbreviator`